Package org.eclipse.emf.cdo.common.util

# Class CDOQueryQueue<E>

java.lang.Object
org.eclipse.emf.cdo.common.util.CDOQueryQueue<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `Queue<E>`, `org.eclipse.net4j.util.collection.Closeable`

public class CDOQueryQueue<E> extends Object implements Queue<E>, org.eclipse.net4j.util.collection.Closeable
The `queue` that represents the result of a CDOQuery.

Since:
  2.0
Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`CDOQueryQueue.BlockingCloseableIteratorImpl`
A blocking iterator that takes elements from a `CDOQueryQueue`.

## Constructor Summary

Constructors
Constructor
Description
`CDOQueryQueue()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(E e)`
`boolean`
`addAll(Collection<? extends E> c)`
`void`
`clear()`
`void`
`close()`
`Comparator<?>`
`comparator()`
`boolean`
`contains(Object o)`
`boolean`
`containsAll(Collection<?> c)`
`E`
`element()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`isClosed()`
`boolean`
`isEmpty()`
`BlockingCloseableIterator<E>`
`iterator()`
`boolean`
`offer(E e)`
`boolean`
`offer(E e, long timeout, TimeUnit unit)`
`E`
`peek()`
`E`
`poll()`
`E`
`poll(long timeout, TimeUnit unit)`
`void`
`put(E e)`
`int`
`remainingCapacity()`
`E`
`remove()`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> c)`
`boolean`
`retainAll(Collection<?> c)`
`void`
`setException(Throwable exception)`
`int`
`size()`
`E`
`take()`
`Object[]`
`toArray()`
`Object[]`
`toArray(Object[] a)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, spliterator, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

## Constructor Details

### CDOQueryQueue

public CDOQueryQueue()

## Method Details

### setException

public void setException(Throwable exception)

### close

public void close()

Specified by:
  `close` in interface `org.eclipse.net4j.util.collection.Closeable`

### isClosed

public boolean isClosed()

Specified by:
  `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`

### add

public boolean add(E e)

Specified by:
  `add` in interface `Collection<E>`
Specified by:
  `add` in interface `Queue<E>`

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<E>`

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`

### element

public E element()

Specified by:
  `element` in interface `Queue<E>`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `Collection<E>`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Collection<E>`
Overrides:
  `hashCode` in class `Object`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`

### iterator

public BlockingCloseableIterator<E> iterator()

Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Iterable<E>`

### offer

public boolean offer(E e, long timeout, TimeUnit unit)

### offer

public boolean offer(E e)

Specified by:
  `offer` in interface `Queue<E>`

### peek

public E peek()

Specified by:
  `peek` in interface `Queue<E>`

### poll

public E poll(long timeout, TimeUnit unit) throws InterruptedException

Throws:
  `InterruptedException`

### put

public void put(E e)

### remainingCapacity

public int remainingCapacity()

### remove

public E remove()

Specified by:
  `remove` in interface `Queue<E>`

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`

### size

public int size()

Specified by:
  `size` in interface `Collection<E>`

### take

public E take() throws InterruptedException

Throws:
  `InterruptedException`

### toArray

public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<E>`

### toArray

public Object[] toArray(Object[] a)

Specified by:
  `toArray` in interface `Collection<E>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### poll

public E poll()

Specified by:
  `poll` in interface `Queue<E>`

### comparator

public Comparator<?> comparator()

### containsAll

public boolean containsAll(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<E>`

### addAll

public boolean addAll(Collection<? extends E> c)

Specified by:
  `addAll` in interface `Collection<E>`

### removeAll

public boolean removeAll(Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<E>`

### retainAll

public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<E>`